<?php


namespace App\Models;


use App\Entities\AssistenteMedico\AssistenteMedico;

class AssistenteMedicoModel extends ModelEntity
{
    protected $table = 'assistente_medico';
    protected $primaryKey = 'id';
    protected $returnType = 'array';
    protected $allowedFields = [
        'id_assistente',
        'id_medico',
    ];
    protected $useSoftDeletes = false;
    protected $skipValidation = true;
    protected $useTimestamps = false;

    public function registerAssistenteMedico (AssistenteMedico &$assistente_medico) : void {
        $assistente_medico_data = $assistente_medico->toArray();
        unset($assistente_medico_data['id']);
        $id_new_paciente = $this->insert($assistente_medico_data);
        $assistente_medico->setId($id_new_paciente);

    }
}
